Qwt User's Guide 6.0.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
QwtPoint3DSeriesData Class Reference

`#include <qwt_series_data.h>`

Inheritance diagram for QwtPoint3DSeriesData:
[legend]

List of all members.

## Public Member Functions
| QwtPoint3DSeriesData (const QVector< QwtPoint3D > &=QVector< QwtPoint3D >())
virtual QRectF | boundingRect () const
Public Member Functions inherited from QwtArraySeriesData< QwtPoint3D >
| QwtArraySeriesData ()
| QwtArraySeriesData (const QVector< QwtPoint3D > &samples)
virtual QwtPoint3D | sample (size_t index) const
const QVector< QwtPoint3D > | samples () const
void | setSamples (const QVector< QwtPoint3D > &samples)
virtual size_t | size () const
Public Member Functions inherited from QwtSeriesData< QwtPoint3D >
| QwtSeriesData ()
virtual | ~QwtSeriesData ()
virtual void | setRectOfInterest (const QRectF &rect)

## Additional Inherited Members
Protected Attributes inherited from QwtArraySeriesData< QwtPoint3D >
QVector< QwtPoint3D > | d_samples
Protected Attributes inherited from QwtSeriesData< QwtPoint3D >
QRectF | d_boundingRect

## Detailed Description

Interface for iterating over an array of 3D points.

## Constructor & Destructor Documentation

QwtPoint3DSeriesData::QwtPoint3DSeriesData | ( | const QVector< QwtPoint3D > & | samples = `QVector<QwtPoint3D>()` | ) |

Constructor

Parameters:

  samples | Samples

## Member Function Documentation

QRectF QwtPoint3DSeriesData::boundingRect | ( |  | ) | const
| virtual

Calculate the bounding rect.

The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns:
  Bounding rectangle

Implements QwtSeriesData< QwtPoint3D >.